Subject: Skey and Linux passwords

From: "Sébastien Cottalorda" <[email-masked]>
Date: Thu, 20 Jul 2000 13:08:28 +0100

Hi all,

I manage to install skey & login given in the logdaemon-5.8 package on my Linux RedHat 6.0 system.
I've installed them and configured them for my users (keyinit ...)
I've replaced the /bin/login by the new login file that allow Skey challenges.

My problem :
    - If a user hasn't been created by keyinit (root for example), I get :
                Router login : root
                Password : xxxxxxxxxxxx
                Invalid Login
                Login:       ... and so on....  (the password is the good one, yes, yes I checked it :-)       )

    - if I create this user with keyinit and add his name in /etc/skey.access
                permit user root
                permit port tty1
                permit port tty2
                ...
                permit port tty4
 (to allow him access with either Linux and Skey challenge), I get exactly the same --> "invalid login"
I use shadow password, may be it's the problem : Login try to get a password that is in fact in /etc/shadow instead of /etc/passwd    (I don't know in fact what it's doing)

Exept that , I'm very happy to skey module.

If anybody as a clue 

Thanks in advance

Sébastien